> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /krs/companies/status

> Get the legal and insolvency status of a Polish company, association or foundation by its KRS number

**Price:** 10 credits

**⚠️ Common errors:** 412: KRS number not found in the selected register



## OpenAPI

````yaml /openapi/company-registries.json post /api/krs/companies/status
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/krs/companies/status:
    post:
      tags:
        - /krs
      summary: /krs/companies/status
      description: >-
        Get the legal and insolvency status of a Polish company, association or
        foundation by its KRS number


        **Price:** 10 credits


        **⚠️ Common errors:** 412: KRS number not found in the selected register
      operationId: __api_krs_companies_status_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KrsCompanyPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KrsStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KrsCompanyPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        krs:
          type: string
        register:
          $ref: '#/components/schemas/KrsRegister'
          default: P
      type: object
      required:
        - krs
    KrsStatus:
      properties:
        '@type':
          type: string
          default: KrsStatus
        is_in_liquidation:
          type: boolean
          default: false
        is_in_bankruptcy:
          type: boolean
          default: false
        is_in_restructuring:
          type: boolean
          default: false
        is_dissolved:
          type: boolean
          default: false
        is_suspended:
          type: boolean
          default: false
        has_arrears:
          type: boolean
          default: false
        arrears:
          items:
            $ref: '#/components/schemas/KrsArrear'
          type: array
        enforcement_discontinuations:
          items:
            $ref: '#/components/schemas/KrsEnforcementDiscontinuation'
          type: array
        asset_securities:
          items:
            $ref: '#/components/schemas/KrsAssetSecurity'
          type: array
        custodians:
          items:
            $ref: '#/components/schemas/KrsCustodian'
          type: array
        liquidations:
          items:
            $ref: '#/components/schemas/KrsLiquidation'
          type: array
        bankruptcies:
          items:
            $ref: '#/components/schemas/KrsBankruptcy'
          type: array
        restructurings:
          items:
            $ref: '#/components/schemas/KrsRestructuring'
          type: array
        mergers:
          items:
            $ref: '#/components/schemas/KrsMerger'
          type: array
        dissolution:
          anyOf:
            - $ref: '#/components/schemas/KrsDissolution'
            - type: 'null'
        suspensions:
          items:
            $ref: '#/components/schemas/KrsSuspension'
          type: array
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    KrsRegister:
      type: string
      enum:
        - P
        - S
    KrsArrear:
      properties:
        '@type':
          type: string
          default: KrsArrear
        nature:
          anyOf:
            - type: string
            - type: 'null'
        amount:
          anyOf:
            - $ref: '#/components/schemas/KrsMoney'
            - type: 'null'
        enforcement_authority:
          anyOf:
            - type: string
            - type: 'null'
        enforcement_title_number:
          anyOf:
            - type: string
            - type: 'null'
        enforcement_started_at:
          anyOf:
            - type: string
            - type: 'null'
        enforcement_ended_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    KrsEnforcementDiscontinuation:
      properties:
        '@type':
          type: string
          default: KrsEnforcementDiscontinuation
        enforcement_authority:
          anyOf:
            - type: string
            - type: 'null'
        case_reference:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    KrsAssetSecurity:
      properties:
        '@type':
          type: string
          default: KrsAssetSecurity
        bankruptcy_petition_dismissal:
          anyOf:
            - $ref: '#/components/schemas/KrsCourtCase'
            - type: 'null'
        asset_security_in_bankruptcy:
          anyOf:
            - $ref: '#/components/schemas/KrsCourtCase'
            - type: 'null'
        asset_security_in_restructuring:
          anyOf:
            - $ref: '#/components/schemas/KrsCourtCase'
            - type: 'null'
        security_description:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    KrsCustodian:
      properties:
        '@type':
          type: string
          default: KrsCustodian
        officer:
          anyOf:
            - $ref: '#/components/schemas/KrsOfficer'
            - type: 'null'
        basis_and_scope:
          anyOf:
            - type: string
            - type: 'null'
        appointed_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    KrsLiquidation:
      properties:
        '@type':
          type: string
          default: KrsLiquidation
        opening:
          anyOf:
            - type: string
            - type: 'null'
        representation_method:
          anyOf:
            - type: string
            - type: 'null'
        liquidators:
          items:
            $ref: '#/components/schemas/KrsOfficer'
          type: array
      type: object
    KrsBankruptcy:
      properties:
        '@type':
          type: string
          default: KrsBankruptcy
        declaration:
          anyOf:
            - $ref: '#/components/schemas/KrsCourtCase'
            - type: 'null'
        manner:
          anyOf:
            - type: string
            - type: 'null'
        receivers:
          items:
            $ref: '#/components/schemas/KrsOfficer'
          type: array
        completion_description:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    KrsRestructuring:
      properties:
        '@type':
          type: string
          default: KrsRestructuring
        opening:
          anyOf:
            - $ref: '#/components/schemas/KrsCourtCase'
            - type: 'null'
        completion:
          anyOf:
            - $ref: '#/components/schemas/KrsCourtCase'
            - type: 'null'
        supervisors:
          items:
            $ref: '#/components/schemas/KrsOfficer'
          type: array
      type: object
    KrsMerger:
      properties:
        '@type':
          type: string
          default: KrsMerger
        circumstance:
          anyOf:
            - type: string
            - type: 'null'
        acquired_entities:
          items:
            type: string
          type: array
        resulting_entities:
          items:
            type: string
          type: array
      type: object
    KrsDissolution:
      properties:
        '@type':
          type: string
          default: KrsDissolution
        circumstance:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    KrsSuspension:
      properties:
        '@type':
          type: string
          default: KrsSuspension
        suspended_at:
          anyOf:
            - type: string
            - type: 'null'
        resumed_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    KrsMoney:
      properties:
        '@type':
          type: string
          default: KrsMoney
        value:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    KrsCourtCase:
      properties:
        '@type':
          type: string
          default: KrsCourtCase
        issuing_authority:
          anyOf:
            - type: string
            - type: 'null'
        case_reference:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    KrsOfficer:
      properties:
        '@type':
          type: string
          default: KrsOfficer
        name:
          anyOf:
            - type: string
            - type: 'null'
        role:
          anyOf:
            - type: string
            - type: 'null'
        proxy_type:
          anyOf:
            - type: string
            - type: 'null'
        is_suspended:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````